@import 'fonts';
@import 'reset';

html {
  min-height: 100%;
}

body {
	font-family: 'Montserrat', 'Lato', sans-serif;
	background-image: url('@img/background.png');
	background-repeat: no-repeat;
	background-size: cover;
<<<<<<< HEAD
=======
    // background-position: center;
    // height: 100vh;
>>>>>>> origin
}


textarea {
	resize: none;
}

.header-btns__wrapper {
	display: flex;
	justify-content: center;
	align-items: center;
	gap: 20px;
	flex-wrap: wrap;
}

.btn__logout,
.btn__create,
.main-content__container,
.no-items__wrapper {
	display: none;
}

.no-items__wrapper {
	width: 25rem;
}

.filter__status-select, 
.filter__priority-select,
.filter__search-input {
  font-size: 12px;
}

.cards__container {
  justify-content: center;
  gap: 30px;
  padding: 0 50px;
}

.card__wrapper {
	min-width: 400px; 
	max-width: 400px;
  cursor: pointer;
  user-select: none;
  background-color: #212529;
}

.card__more-info {
	display: none;
  background-color: #212529;
}

.card__more-info span {
	font-weight: 600;
  
}

.btn__details {
	position: relative;
	padding-right: 33px;
}

.btn__hide-details::after {
  transform: rotate(180deg);
}

.btn__edit-card {
  display: none;
}


.modal__window {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100vh;
  z-index: 1000;
  display: flex;
  justify-content: center;
  align-items: center;
}

.modal__background {
  background-color: rgba(0,0,0,.6);
  width: 100%;
  height: 100%;
  cursor: pointer;
  position: absolute;
  top: 0;
  left: 0; 
  z-index: 1;
}

.modal__main-container{
  width: 70%;
  height: fit-content;
  z-index: 2;
  max-width: 500px;
  background-color: #212529;
}

.modal__form {
  display: flex;
  flex-direction: column;
  gap: 10px;
}

.empty {
  border-color: red;
}

.selected {
  opacity: 0.6;
  background: rgb(117, 148, 151);
}


.card-body {
  color: #fff;
}

.list-group-item {
  color: #fff;
  background-color: #434547;
  border: none;
}


.form-control { 
  background-color: #434547;
  border: none;
}

.form-label {
  color: #fff;
}

.form-select {
  background-color: #434547;
  border: none;
  color: #e2e2e2;
}

.modal-header {
  border-bottom: none;
  color: #fff;
}

.modal-footer {
  border-top: none;
}

.form-control {
  color: #e2e2e2;
}

.form-control::placeholder {
  color: #b6b6b6;
}

.card-header {
  border-bottom: #fff;
}

.card-header:first-child {
  border-radius: 5px;
  color: #fff;
}